/**
 * \file
 *
 * \brief Empty user application template
 *
 */

/**
 * \mainpage User Application template doxygen documentation
 *
 * \par Empty user application template
 *
 * Bare minimum empty user application template
 *
 * \par Content
 *
 * -# Include the ASF header files (through asf.h)
 * -# Minimal main function that starts with a call to board_init()
 * -# "Insert application code here" comment
 *
 */

/*
 * Include header files for all drivers that have been imported from
 * Atmel Software Framework (ASF).
 */
#include <asf.h>

#define I2C_BUS1_ADDR_U5 0b0100000

int main (void)
{
	board_init();
	
	sysclk_init();
	
	pmc_enable_periph_clk(ID_TWI1);
	
	 twi_master_options_t opt = {
		 .speed = 50000,
		 .chip  = I2C_BUS1_ADDR_U5
	 };

	 twi_master_setup(TWI1, &opt);

	 uint8_t data_received[1];

	 twi_package_t packet_read = {
		 .addr         = {2},      // TWI slave memory address data
		 .addr_length  = sizeof (uint8_t),    // TWI slave memory address data size
		 .chip         = I2C_BUS1_ADDR_U5,      // TWI slave bus address
		 .buffer       = data_received,        // transfer data destination buffer
		 .length       = sizeof(data_received)                    // transfer data size (bytes)
	 };
	 // Perform a multi-byte read access then check the result.
	 while(twi_master_read(TWI1, &packet_read) != TWI_SUCCESS);
	 
	 while(1);

	// Insert application code here, after the board has been initialized.
}
